思いつくままを綴る雑記帳

PEM_ChangeMod 英語版のみ更新

某サイトでPEM_ChangeMod(英語版)が動かないんだけどと質問があり・・・。
んー・・・配布サイトにアップする前に確認したけどなぁ・・
と、思いつつも暫く動かしていないOblivionに配布しているパッケージから
解凍した英語版をインストールして試してみたら・・・・

あらまぁ・・・確かに動いていません・・・。
えっ・・・アップしてから随分経つよ・・・。
と、配布サイトを覗くと数ヶ月前にコメントが一件・・。
同様の質問があったようです・・。

んーー、こりゃまずいな!
と、調べると多言語のために外だしにした定義ファイルに不備が・・。
カンマをデリミタとして使用しているのに定義文章の中にカンマを使ってる。
だめじゃん・・・。
元々手抜きの抽出処理なので・・・
文言番号と文言を分離するためにカンマを使用していますが・・
分離した数は2個?といういい加減な確認なので・・・
これが2個じゃないとエラーとして処理しているという・・・
元々文言番号もファイルをいじってる時に間違って行削除したときにわかるからつけているだけなので・・

配布サイトで「ごめんなさい」と誤りつつ、英語版用の更新ファイルを追加しました。
スポンサーサイト

コメント

コメントの投稿

URL
コメント

パスワード
秘密
管理者にだけ表示を許可する

トラックバック

トラックバックURL : http://perfectcat.blog101.fc2.com/tb.php/279-e324024e
<< うざいよ MSEのクライアント更新 | TOP | 完成 -追記- >>